window.addEventListener('load', function(event){
  reajustar();
  document.getElementById("Contado").addEventListener("input", calcularCambio);
  document.getElementById("Recibi").addEventListener("input", calcularCambio);
  document.getElementById("Contado").addEventListener("input", CalculaPago2);
  var exhibiciones=document.getElementById('exhibiciones').innerHTML;
  if(exhibiciones==4)
  {
    document.getElementById('masExhibiciones').classList.add('invisible');
  }else{
    document.getElementById('masExhibiciones').classList.remove('invisible');
  }
  console.log(exhibiciones);
  botonDetalle.addEventListener('click', function(e)
  {
    var fecha2=document.getElementById('fecha2').innerHTML;
    var fecha3=document.getElementById('fecha3').innerHTML;
    if($(".pago1").hasClass("invisible"))
    {
      $(".pago1").removeClass('invisible');
      document.getElementById('nombreBoton').innerHTML=' Ocultar';
      document.getElementById('nombreBoton').classList.remove('glyphicon-eye-open');
      document.getElementById('nombreBoton').classList.add('glyphicon-eye-close');
      // $(".parent-container").addClass('increase-height');
      reajustar();
    }else{
      $(".pago1").addClass('invisible');
      document.getElementById('nombreBoton').innerHTML=' Detalle';
      document.getElementById('nombreBoton').classList.add('glyphicon-eye-open');
      document.getElementById('nombreBoton').classList.remove('glyphicon-eye-close');
      // $(".parent-container").removeClass('increase-height');
      reajustar();
    }
    if(fecha2!='' && fecha2!='0000-00-00 00:00:00' && $(".pago2").hasClass("invisible"))
    {
      $(".pago2").removeClass('invisible');
      document.getElementById('nombreBoton').innerHTML=' Ocultar';
      document.getElementById('nombreBoton').classList.remove('glyphicon-eye-open');
      document.getElementById('nombreBoton').classList.add('glyphicon-eye-close');
      // $(".parent-container").addClass('increase-height');
      reajustar();
    }else{
      $(".pago2").addClass('invisible');
      document.getElementById('nombreBoton').innerHTML=' Detalle';
      document.getElementById('nombreBoton').classList.add('glyphicon-eye-open');
      document.getElementById('nombreBoton').classList.remove('glyphicon-eye-close');
      // $(".parent-container").removeClass('increase-height');
      reajustar();
    }
    if(fecha3!='' && fecha3!='0000-00-00 00:00:00' && $(".pago3").hasClass("invisible"))
    {
      $(".pago3").removeClass('invisible');
      document.getElementById('nombreBoton').innerHTML=' Ocultar';
      document.getElementById('nombreBoton').classList.remove('glyphicon-eye-open');
      document.getElementById('nombreBoton').classList.add('glyphicon-eye-close');
      // $(".parent-container").addClass('increase-height');
      reajustar();
    }else{
      $(".pago3").addClass('invisible');
      document.getElementById('nombreBoton').innerHTML=' Detalle';
      document.getElementById('nombreBoton').classList.add('glyphicon-eye-open');
      document.getElementById('nombreBoton').classList.remove('glyphicon-eye-close');
      // $(".parent-container").removeClass('increase-height');
      reajustar();
    }
  });
  var contado=document.getElementById('Contado');
  var tipoTarjeta= document.getElementById('TipoTarjeta');
  var cantidadTarjeta=document.getElementById('CTarjeta');
  var botonGuardar=document.getElementById('guarda');
  var formulario=document.getElementById('Pagos');

  contado.addEventListener('input', function() {
      if(document.getElementById("Adeudo").innerHTML=="0" && (cantidadTarjeta.value=="" || cantidadTarjeta.value=="0"))
      {
        tipoTarjeta.disabled = true;
        cantidadTarjeta.readOnly = true;
        document.getElementById("FolioTarjeta").readOnly = true;
        tipoTarjeta.value="";

      }else{
        tipoTarjeta.disabled = false;
        // cantidadTarjeta.readOnly = false;
        // document.getElementById("FolioTarjeta").readOnly = false;
      }
  });
  tipoTarjeta.addEventListener('change', function() {
    cantidadTarjeta.value="";
    document.getElementById('FolioTarjeta').value=""; 
    if(tipoTarjeta.value=="")
    {
      document.getElementById("FolioTarjeta").readOnly = true;
      cantidadTarjeta.readOnly = true;
    }else{
      cantidadTarjeta.readOnly = false;
    }
    CalculaPago2();
  });
  cantidadTarjeta.addEventListener('input', function() {
      if(cantidadTarjeta.value!="")
      {
        document.getElementById('FolioTarjeta').readOnly=false;
        document.getElementById('FolioTarjeta').value='';
      }else{
        document.getElementById('FolioTarjeta').readOnly=true;
        document.getElementById('FolioTarjeta').value='';
      }
      if(document.getElementById("Adeudo").innerHTML=="0" && contado.value=="")
      {
        contado.readOnly = true;
        document.getElementById("Recibi").readOnly = true;
      }else{
        contado.readOnly = false;
        document.getElementById("Recibi").readOnly = false;
      }
  });
  formulario.addEventListener('submit', function(evt){
    evt.preventDefault();
    var validacion='';
        document.getElementById('AbonoFinal').value=document.getElementById('Abono').innerHTML;
        document.getElementById('AdeudoFinal').value=document.getElementById('Adeudo').innerHTML;
            if (cantidadTarjeta.value=="" && document.getElementById('FolioTarjeta').value=="" && tipoTarjeta.value!="") {
              $('#CTarjeta').notify("Ingrese una cantidad",{
                  position:'bottom center',
                  className:'error'
                });
                  cantidadTarjeta.focus();
                  validacion='false';
               }

           //***************
            if (cantidadTarjeta.value=="" && document.getElementById('FolioTarjeta').value!="") {
                $('#CTarjeta').notify("Ingrese una cantidad",{
                  position:'bottom center',
                  className:'error'
                });
                document.getElementById("CTarjeta").focus();
                validacion='false';
               }
            //***************
            if (document.getElementById('Usuario').value=="") {
                $('#Usuario').notify("Seleccione un usuario",{
                  position:'bottom center',
                  className:'error'
                });
                document.getElementById("Usuario").focus();
                validacion='false';
               }

            //***************
            var c = document.getElementById("Adeudo").innerHTML;
            var exhibicion = document.getElementById('exhibiciones').innerHTML;
            var pago = document.getElementById('pago').value;
            if(c!=0 && exhibicion==pago){
              
              $('#pagar').notify("Debe liquidar el servicio",{
                  position:'top center',
                  className:'error'
                });
                validacion='false';
              }
            //************* */
            var abono=document.getElementById('Abono').innerHTML
            var abonoTotal = abono.replace("$ ", "");
            if(abonoTotal==document.getElementById('Abono2').value)
            {
              $('#pagar').notify("Ingrese una cantidad",{
                  position:'top center',
                  className:'error'
                }); 
              validacion='false';
            }
            console.log(validacion);
            if(validacion!='false')
            {
              formulario.submit();
            }else{
              return false;
            }
    });
 
});

function reajustar(){
  var datosGenerales = $("#DatosGenerales").height();
  $(".parent-container").css('height', datosGenerales);
  setTimeout("reajustar()",100) 
}
function calcularCambio() 
{
  var contado=document.getElementById('Contado').value;
  var recibi=document.getElementById('Recibi').value;
  var suma;
  if(contado=="")
  {
    contado=0;
  }
  if(recibi=="")
  {
    recibi=0;
  }
  suma=parseFloat(recibi)-parseFloat(contado);
  if(suma>=0)
  {
    document.getElementById('Cambio').value=suma;
  }else{
    document.getElementById('Cambio').value='';
  }
}

function CalculaPago2()
{
 with (document.forms["Pagos"]) // el nombre del formulario
 {
  var totalResult2 = ((Number( adeudoGeneral ) - Number( Contado.value )- Number( CTarjeta.value )));

  Adeudo.innerHTML = roundTo( totalResult2, 2 );
  var adeudoventa = ((Number( AdeudoV.value ) - Number( Contado.value )- Number( CTarjeta.value )));
  AdeudoVenta.value = roundTo( adeudoventa, 2 );

  var abonov = ((Number(abonoGeneral ) + Number( Contado.value )+ Number( CTarjeta.value )));
  Abono.innerHTML = roundTo( abonov, 2 );

  var abonoventa = ((Number( AbonoV.value ) + Number( Contado.value )+ Number( CTarjeta.value )));
  AbonoVenta.value = roundTo( abonoventa, 2 );

      if (Adeudo.innerHTML<0) {
        // alert("Está ingresando una cantidad mayor al adeudo.\n Ingrese nuevamente la cantidad");
        // $('pagar').notify({})
          $('#pagar').notify("Está ingresando una cantidad mayor al adeudo.\n Ingrese nuevamente la cantidad",{
                  position:'top center',
                  className:'error'
                });  
        Contado.value="";
        Recibi.value="";
        Cambio.value="";
        CTarjeta.value="";
        FolioTarjeta.value="";
        Adeudo.innerHTML =adeudoGeneral;
        AdeudoVenta.value =AdeudoV.value;
        Abono.innerHTML =abonoGeneral;
        AbonoVenta.value =AbonoV.value;


      }


 }
}

function roundTo(num,pow){
  if( isNaN( num ) ){
    num = 0;
  }
  
  return num;
}

function mueveReloj(){ 
  var momentoActual = new Date() 
  var hora = momentoActual.getHours() 
  var minuto = momentoActual.getMinutes() 
  var segundo = momentoActual.getSeconds() 
  var str_segundo = new String (segundo) 
  if (str_segundo.length == 1) 
      segundo = "0" + segundo 

  var str_minuto = new String (minuto) 
  if (str_minuto.length == 1) 
      minuto = "0" + minuto 

  var str_hora = new String (hora) 
  if (str_hora.length == 1) 
      hora = "0" + hora 
    
  var horaImprimible = hora + ":" + minuto + ":" + segundo 
  var date = new Date();
  var year = date.getFullYear();
  var month = date.getMonth()+1;
  var dt = date.getDate();

  if (dt < 10) {
    dt = '0' + dt;
  }
  if (month < 10) {
    month = '0' + month;
  }
  var FechaCompleta = dt+'-' + month + '-'+year;
  var nuevaF = year+'-' + month + '-'+dt;
  document.getElementById('fecha').value=nuevaF +" "+ horaImprimible;  
  setTimeout("mueveReloj()",1000) 

}
function masExhibicion(tipo, id)
{
  $.ajax({
    url:base_url+"pagos/franquiciatario/PagosF/aumentarExhibicion/",
    type:'POST',
    dataType: 'json',
    data: {id:id, tipo:tipo},
    success:function(result){          
        console.log(result);
        if(result=='correcto')
        {
          location.href='';
        }               
    },//end success ajax response
    error:function(xhr, textStatus, errorThrown, error){
      console.log(xhr.responseText)
      console.log("No hay resultados");
      },
  });//end ajax
}